Overview

The Beckhoff Service Tool is an easy to use, graphical backup- and restore-program for Windows Embedded Standard, Windows XP or higher. Windows CE is supported from version 1.0.3.20 . With the Beckhoff Service Tool you can update your devices, create complete updates of your system or restore saved backups - here you can find a list of the supported devices.

There are two versions of the BST.

  • C9900-I900 allows you to create and restore Hard Disk- and Compact Flash-Backups in File-Structure Option.
  • C9900-I901 allows you to create additionally Backups in Acronis Image Format.

Application-Scenario:

A possible application scenario is to update a CX1020 directly at the machine. Therefore you have to shutdown the machine first. Before you now start you machine again, you have to plug in the USB-Stick. As next you can start your device, but you have to be sure that the boot-device priority is set correctly -> chapter (1) boot priority. After the boot process the Beckhoff Service Tool will be starting automatically and can be used - Figure 1. For more information how to create a backup or how to restore a backup have a look at (2) create a backup and (3) restore a system.

Figure 1: Beckhoff Service Tool Main site

(1) Notice: Before you can use the Beckhoff Service Tool, you have to be sure that your boot priority is correct. A documentation how to change the settings you can find here.

(2) Here you can find a how to create a backup of your system.

(3) Here you can find a how to restore a system.

(4) On startup of your BST-Stick, please make sure that no USB mass storage device is connected to your computer. Additional mass storage devices can be attached to the computer after successfully booting from your BST.

(5) For operating systems like Windows XP, Windows 7 and Windows 8 please make sure to always use Acronis Image Format.


Supported Platforms

The Beckhoff Service Tool only supports the following hardware and software platforms.

Software platforms:

  • Windows CE / Windows Embedded Compact
  • Windows XP embedded / Windows Embedded Standard

Supported Platforms:

Embedded PC's and IPC types | Support since BST Version
CX1010 | 1.0.x.x
CX1020 | 1.0.x.x
CX1030 | 1.0.x.x
CX5010 | 1.0.x.x
CX5020 | 1.0.x.x
CX2020 | 1.7.x.x
CX2030 | 1.7.x.x
CX2040 | 1.7.x.x
C33xx-0020 | 1.4.x.x
C33xx-0030 | 1.4.x.x
C36xx-0020 | 1.4.x.x
C36xx-0030 | 1.4.x.x
C5101-0020 | 1.4.x.x
C5101-0030 | 1.4.x.x
C5101-0040 | 1.4.x.x
C5101-0050 | 1.7.x.x
C5102-0020 | 1.4.x.x
C5102-0030 | 1.4.x.x
C5210-0000 | 1.4.x.x
C5210-0010 | 1.7.x.x
C5520-0020 | 1.4.x.x
C5520-0030 | 1.4.x.x
C5540-0020 | 1.4.x.x
C5540-0030 | 1.4.x.x
C6110-0020 | 1.4.x.x
C6110-0030 | 1.4.x.x
C6110-0040 | 1.4.x.x
C6120-0020 | 1.4.x.x
C6120-0030 | 1.4.x.x
C6120-0040 | 1.4.x.x
C6130-0020 | 1.4.x.x
C6130-0030 | 1.4.x.x
C6140-0020 | 1.4.x.x
C6140-0030 | 1.4.x.x
C6140-0040 | 1.4.x.x
C6140-0050 | 1.7.x.x
C6150-0020 | 1.4.x.x
C6150-0030 | 1.4.x.x
C6150-0040 | 1.5.x.x
C6150-0050 | 1.7.x.x
C6210-0020 | 1.4.x.x
C6210-0030 | 1.4.x.x
C6210-0040 | 1.4.x.x
C6220-0020 | 1.4.x.x
C6220-0030 | 1.4.x.x
C6220-0040 | 1.4.x.x
C6240-0020 | 1.4.x.x
C6240-0030 | 1.4.x.x
C6240-0040 | 1.5.x.x
C6240-0050 | 1.7.x.x
C6250-0030 | 1.4.x.x
C6250-0040 | 1.4.x.x
C6250-0050 | 1.5.x.x
C6250-0060 | 1.7.x.x
C63xx-0030 | 1.4.x.x
C63xx-0040 | 1.4.x.x
C63xx-0050 | 1.4.x.x
C65xx-0000 | 1.0.x.x
C65xx-0010 | 1.0.x.x
C65xx-0020 | 1.4.x.x
C65xx-0030 | 1.4.x.x
C65xx-0040 | 1.7.x.x
C6640-0000 | 1.4.x.x
C6640-0010 | 1.4.x.x
C6640-0020 | 1.5.x.x
C6640-0030 | 1.7.x.x
C6650-0010 | 1.4.x.x
C6650-0020 | 1.5.x.x
C6650-0030 | 1.7.x.x
C6915-0000 | 1.4.x.x
C6920-0000 | 1.0.x.x
C6920-0010 | 1.0.x.x
C6920-0020 | 1.0.x.x
C6920-0030 | 1.5.x.x
C6920-0040 | 1.7.x.x
C6925-0000 | 1.0.x.x
C6930-0000 | 1.0.x.x
C6930-0010 | 1.4.x.x
C6930-0020 | 1.0.x.x
C6930-0030 | 1.5.x.x
C6930-0040 | 1.7.x.x
CP62xx-xxxx-0000 | 1.4.x.x
CP62xx-xxxx-0010 | 1.4.x.x
CP62xx-xxxx-0020 | 1.4.x.x
CP62xx-xxxx-0030 | 1.4.x.x
CP63xx-xxxx-0020 | 1.4.x.x
CP63xx-xxxx-0030 | 1.4.x.x
CP64xx-xxxx-0010 | 1.4.x.x
CP64xx-xxxx-0030 | 1.4.x.x
CP64xx-xxxx-0040 | 1.4.x.x
CP65xx-xxxx-0040 | 1.4.x.x
CP65xx-xxxx-0050 | 1.4.x.x
CP67xx-xxxx-0020 | 1.4.x.x
CP71xx-xxxx-0040 | 1.4.x.x
CP71xx-xxxx-0050 | 1.4.x.x
CP72xx-xxxx-0000 | 1.4.x.x
CP72xx-xxxx-0010 | 1.4.x.x
CP72xx-xxxx-0020 | 1.4.x.x
CP77xx-xxxx-0020 | 1.4.x.x
CP77xx-xxxx-0030 | 1.4.x.x

Note:

The Beckhoff Service Tool runs only on the supported devices and is not depending on BIOS or Hardware Version!


BIOS Settings

Booting from an USB-Stick needs a correctly configured bootsequence in BIOS. To enter BIOS you have to press "DEL"-key when you are prompted to do, usually right after powering your device.

In BIOS choose "Advanced Bios Features". Now select "USB-HDD" in "First Bootdevice". As "Secondary Bootdevice" select "HDD-0" for Windows XPembedded or "WinCE" for WindowsCE, so that you can start from you local HD when no USB-Stick is plugged in.

Afterwards you can leave BIOS. Attention, don't forget to save your changes!


Mainpage

On start screen you have quick and easily access to the most relevant functions. You can create (1), restore (2) and manage (4) your backups as well as you can change the display resolution (5), miscellaneous settings (e.g. configure linked buttons, easy mode, default fallback status, ...) (3).

Also there are up to three buttons (9), from which you can start your own programs eg. for calibrating the touchscreen.

If your display shows no picture, as result of a wrong display resolution, you can change the resolution by following shortcuts:

  • "CTRL" + "F1" -> 640x480
  • "CTRL" + "F2" -> 800x600
  • "CTRL" + "F3" -> 1024x768
  • "CTRL" + "F4" -> 1280*1024

To calibrate your touch screen you can also use the shortcut "CTRL" + "E".

With the two buttons "Shutdown" (6) and "MS-Shell" (7) you can shutdown and restart your system or exit to the explorer.

The Help-Button (8) shows you the help.


Create Backup with "Acronis Image Format"

To create a backup, first you have choose the format for the image.

Now select the partitions you want to include in your image.

In the next step you have to select the destination folder, in which you want to store the image.
If you want to store your Image on a network drive, you can add a network drive with "Map Network Drive".

If you are using the Acronis Image Format for your image, you can set a password and the compression level.

In the last step you can check the settings you have made. After pressing the "Proceed" button the backup process starts..


Create Backup with "Data Structure"

To create a backup, first you have to choose the format for the image.

Now select the partitions you want to include in your image.

In the next step you have to select the destination folder, in which you want to store the image.
If you want to store your Image on a network drive, you can add a network drive with "Map Network Drive".

In the last step you can check the settings you have made. After pressing the "Proceed" button the backup process starts.


>Restore Image with "Acronis Image Format"

Embedded-PC: Beckhoff Service Tool

Restore Backups with "Acronis Image Format"

First you have to choose the format of the Image you want to restore.

After that select the image you want to restore.

Now you see the disks/partitions that are stored in the image. With the checkboxes you select the disks/partitions that you want to restore.

In the last step you have to choose on which disk you want to restore the image.

Attention: All data on selected disk get lost!!!

Finally you can check the settings you have made. After pressing the "Proceed" button the restore process starts.

Also you can create a fallback image. The fallback image will be restored in case of a failed recovery.

Attention: Only Beckhoff provided CF-cards are supported for restoring images.


Restore Image with "Data Structure"

Embedded-PC: Beckhoff Service Tool

Restore Backups with "Data Structure"

First you have to choose the format of the Image you want to restore.

After that select the image you want to restore.

Now you see the disks/partitions that are stored in the image. With the checkboxes you select the disks/partitions that you want to restore.

In the last step you have to choose on which disk you want to restore the image.

In the "Resize Partitions" dialog you can modify the partition size before restoring the backup.

Achtung 		Data loss
All data on selected disk get lost!!!

Finally you can check the settings you have made. After pressing the "Proceed" button the restore process starts.

Also you can check the restored partitions after backup is complete and create a fallback image. The fallback image will be restored in case of a failed recovery.

Achtung 		Compatiblity
Only Beckhoff provided CF-cards are supported for restoring images.


Manage Backups

In the "Manage Images"-Dialog you have got an overview of your stored Backups on the USB-Stick or on the network.

In the table (3) you can see the image information. You can also delete (5) your saved backups or refresh (4) the image list.

The default path for images is "C:\Images" (1). If your images are stored in an other location, you can use the "Browse"-button (2) to navigate to your image folder.

To delete or rename an image you must first select the image in the image list and then press the "Delete"- or "Rename"-button.


Change Shell password

If you want to leave the Beckhoff Service Tool to the explorer-shell you have to enter a shell password. This password can be changed in the "Passwords"-dialog.

To change the password you have to enter the current password (1), per Default -> shell. Afterwards type the new password (2) and confirm (3) it.

It is possible to exit the BST without password, in this case you have to leave the "new password"- and "confirm"-field blank.


User defined Buttons - Linked Buttons

On the "Linked Buttons" tab in the "Settings"-Dialog, you can specify user defined Buttons on the Start Screen (e.g. "Calibrate TouchScreen", ...). You can define the path to the executable and select a title.

To select the path to the executable you can use the "Select"-Button.

If you want to save your changes you can save them by using the "OK"-Button or discard them by using the "Cancel"-Button.


Easy Mode

The "Easy Mode" allows you to create or restore Images with a few clicks. With activated "Easy Mode" the Backup and Restore event will start automatically with default configuration.
The default configuration can be edit in the "Settings" - "Easy Mode" Dialog.

With "Enable Easy Mode" (1) you can enable the Easy Mode. After enabling the "Easy Mode" you can configure it.

"Backupname" (2) is the name of your backup.

"Password" (3) is the password to protect the image.

"Confirm Password" (4) is to be sure that you entered the password (3) correct.

"Check Disk(s)" (5) check the disk/partition before/after the image is created/restored.

"Create Fallback" (6) the image will be restored in case of a failed recovery.

"Source Path" (7) is the path from where your backup will be restored.

"Destination Path" (8) is the path where the backup will be saved.

With the "Select"-Buttons (9) you can browse to folders for "Source Path" and "Destination Path".

At the moment the "Easy Mode" is only available in the C9900-I901 version.


Map Network Drive

With "Map Network Drive" in the "Settings Dialog" you can add network drives permanent or non permanent. Non permanent network drives are as long as available your BST is running. On the next startup these network drives are gone. Permanent network drives will be reconnect on next BST startup automatically.

To connect a network drive you have to choose a driveletter (1) first. Second you have to enter a "UNC-Path" (2) to a shared folder. You can enter a UNC-Path also with the browse function (3). If necessary you have to enter a "User" (4) and a "Password" (5). With "Reconnect at logon" (6) you can decide between permanent and non permanent drives. "Add" (7) connects the shared folder.

All connected network drives will be listed in "List / Remove Network Drive" (8), after marking a drive, you can remove it with the "Remove" button (9).

Figure 1


Run

In "Settings" - "Run" Dialog you can define 3 executable files which will be start automatically by the BST start.
This function is especially interesting for Panel PC's, without mouse and keyboard. So that you can start the "Calibration Utility" for the Touchscreen automatically on startup.

"Path" (1) is the path to an executable file incl. the filename. With "Select" (2) you can select a executable file using the browse-function. To delete a "Run" you can use the "Remove" (3) button.

Figure 1


Settings - Easy Mode

Embedded-PC: Beckhoff Service Tool

Fallback

The Fallback options creates a fallback backup before the backup will be restored. If the backup restore fails the fallback backup will be restored.

With "Create Fallback (Default status)" (1) you can enable/disable the default fallback status.

"Password" (2) is the password to protect the image.

"Confirm Password" (3) is to be sure that you entered the password (2) correct.

"Compression" (4) is the compression level for the image file.

"Check Disk(s)" (5) check the disk/partition before/after the image is created/restored.

"Destination Path" (6) is the path where the backup will be saved.

With the "Select"-Button (7) you can browse to folders for the "Destination Path".


Settings - Easy Mode

Embedded-PC: Beckhoff Service Tool

General

The "Check Platforms" option (1) check the image platform name with the current platform name. If these names are different the user have to confirm the image restore.

The "BST" option (2) enables you to change the BST surface language. Currently supported languages you will find in Table 1.

The "Keyboard" option (3) enables you to change the keyboard layout, without changing the BST surface language. Currently supported keyboard layouts you will find in Table 1.

BST Surface Languages | Keyboard layout
English | English (US)
German | German (Germay)
Spanish | Spanish (international sort)
French | French (France)
Italian | Italian (Italy)

Table 1


Configure Settings.xml manually

All Settings you can configure in the "Settings"-dialog you can also configure it in the Settings.xml file. Among the options are the "Easy Mode", the language of the user interface, user defined buttons, autorun and permanent network drives.

"Easy Mode":

To enable the "Easy Mode" you have to change "Enabled" from "0" to "1". If you want to disable the "Easy Mode" you have to set "Enabled" to "0".

With "ImageFormat" you can select the format in which the Image will be saved. Currently is only the TrueImage format (tib) supported.

"BackupName" is the name of the backup that will be written on the disk.

"Password" here is the password in encrypted form. If this element is blank, the backup will not be encrypted.
When the backup should be encrypted, you have to configure the "Easy Mode" with the BST because the password will be saved encrypted.

"DestinationPath" is the path, where the backup will be saved. Per default is the folder "C:\Images" selected, but you can choose other locations.

"SourcePath" is the path, from where your backup will be restores. Per default is the folder "C:\Images" selected, but you can choose other locations.

In Figure 1 is a sample configuration.

Figure 1

User defined buttons:

User defined buttons you can allocate with executable files on you BST user interface. In figure 3 is the first button allocated with the ELO Touchscreen utility to calibrate your touch screen.

Figure 3

Autorun:

On BST startup you can define 3 files, that will be execute on startup. Its necessary that you enter the whole path to the executable file and the filename itself. In figure 4 is only the first run used with the calibration utility for ELO Touchscreens.

Figure 4

Permanent network drives:

Permanent network drives may not configured in the Settings.xml, while the password is saved encrypted in the Settings.xml.